<?php 
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Credentials: true");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Allow-Headers: Authorization, Access-Control-Allow-Headers, Origin,Accept, X-Requested-With, Content-Type, Content-Range, Content-Disposition, Content-Description, Access-Control-Request-Method, Access-Control-Request-Headers");

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
ini_set('max_execution_time', '0'); //300 seconds = 5 minutes
error_reporting(E_ALL);
ini_set('memory_limit', '-1');
ini_set('error_log', 'logfile.log');

$ListOfOrganizationjson = Getting_ListOfCurrent_Organization();

$ListOfjasonArray = array();
foreach ($ListOfOrganizationjson->events as $Event_key => $Event_value) {
    $ListofProperty = new \stdClass();
    //Date formate change
    $Event_Date = date("d-m-Y | H:i", strtotime(trim($Event_value->start->local)));
    $ListofProperty->name = $Event_value->name->text;
    $ListofProperty->date = $Event_Date;
    $ListofProperty->is_free = $Event_value->is_free;
    $ListofProperty->url = $Event_value->url;
    $ListofProperty->thumbnail = $Event_value->logo->original->url;
    array_push($ListOfjasonArray, $ListofProperty);
}

if(sizeof($ListOfjasonArray) >= 1){
    echo json_encode($ListOfjasonArray);
}else{
    echo json_encode($ListOfjasonArray);
}

function Getting_ListOfCurrent_Organization(){

    $curl = curl_init();
    curl_setopt_array($curl, array(
      CURLOPT_URL => "https://www.eventbriteapi.com/v3/organizations/185885570919/events/?time_filter=current_future",
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_ENCODING => "",
      CURLOPT_MAXREDIRS => 10,
      CURLOPT_TIMEOUT => 30,
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      CURLOPT_CUSTOMREQUEST => "GET",
      CURLOPT_HTTPHEADER => array(
        "authorization: Bearer QADLMVGY3MRWODKRE52R",
      ),
    ));

    $response = curl_exec($curl);
    $err = curl_error($curl);
    curl_close($curl);

    if ($err) {
      echo "cURL Error #:" . $err;
    } else {
      return json_decode($response);
    }

}