<?php 



// $options = array(
//      'soap_version'=>SOAP_1_2,
//      'exceptions'=>true,
//      'trace'=>1,
//      'cache_wsdl'=>WSDL_CACHE_NONE
// );

// $client = new SoapClient('https://sthservices.ozsoft.com.au/AHT_API/vt_api.asmx?WSDL', $options);

// $clie_info = array('sUsername' => 'veten1', 'sPassword' => 'AHTbb01#');

// $result = $client->ValidateUser($clie_info);

// print_r($result);



//After
$options = array(
     'soap_version'=>SOAP_1_2,
     'exceptions'=>true,
     'trace'=>1,
     'cache_wsdl'=>WSDL_CACHE_NONE
);

$client = new SoapClient('https://sthservices.ozsoft.com.au/AHT_API/vt_api.asmx?WSDL', $options);

$loginInfo = array('sUsername' => 'veten1', 'sPassword' => 'AHTbb01#');

//Token get
$Token_result = $client->ValidateUser($loginInfo);
if($Token_result->ValidateUserResult->Status != 1)
{
    // Failure - error message is in $Token_result->ValidateUserResult->StatusMessage
    die('Failure calling ValidateUser: ' . $Token_result->ValidateUserResult->StatusMessage);
}
$token = $Token_result->ValidateUserResult->Token;

//Client 
$Client_result = $client->ValidateClient($loginInfo);
if($Client_result->ValidateClientResult->Status != 1)
{
    // Failure - error message is in $Client_result->ValidateClientResult->StatusMessage
    die('Failure calling ValidateUser: ' . $Client_result->ValidateClientResult->StatusMessage);
}
$client_token = $Client_result->ValidateClientResult->Token;

$result = $client->GetWebOccurrences(array('sToken' => $token));
if($result->GetWebOccurrencesResult->Auth->Status != 1)
{
    // Failure - error message is in $result->GetWebOccurrencesResult->Auth->StatusMessage
    die('Failure calling GetWebOccurrences: ' . $result->GetWebOccurrencesResult->Auth->StatusMessage);
}

// foreach($result->GetWebOccurrencesResult->OccuList->TOccu as $occurrence)
// {
//     echo $occurrence->Prog_Name . ' 
//      from ' . $occurrence->StartDate . ' to ' . $occurrence->EndDate . "<br/>\n";
// }

$Employer_result = $client->GetEmployerTypeList(array('sToken' => $token));
$Staff_result = $client->GetStaff(array('sToken' => $token));
$Room_result = $client->GetRooms(array('sToken' => $token));
$Accessible_resultAccessible_result = $client->GetAccessibleClients(array('token' => $token, 'clientCode' => '17411')); //working
$Attendance_result = $client->GetAttendanceTypes(array('sToken' => $token));
$Courses_result = $client->GetCourses(array('sToken' => $token));
$ContactDetails_result = $client->GetEmployerContactDetails(array('sToken' => $token, 'sEmpl_Identifier' => '04190'));
$ContractsOrEnrolments_result = $client->GetContractsOrEnrolmentsForClient(array('sToken' => $token, 'sClie_Code' => '04190'));
$EnrolmentsForClient_result = $client->GetEnrolmentsForClient(array('sToken' => $token, 'sClie_Code' => '17411')); //04190 this client code get data only one
$AnzsicList_result = $client->GetAnzsicList(); //working getting other list
$AttendanceTypes_result = $client->GetAttendanceTypes(array('sToken' => $token)); //working Attendance list get
$AwardTypes_result = $client->GetAwardTypes(array('token' => $token)); //working 
$BookingDetails_result = $client->GetBookingDetails(array('token' => $token, 'occurrenceId' => '	38412')); //working 
$Divisions_result = $client->GetDivisions(array('token' => $token)); //working 
$ClientAVDetails_result = $client->GetClientAVDetails(array('sToken' => $token, 'sClie_Code' => '17411')); //working, getting client details
$ClientDetails_result = $client->GetClientDetails(array('sToken' => $token, 'sClie_Code' => '17411')); //working, getting client details
$DisabilityList_result = $client->GetDisabilityList(); //working
$DivisionTree_result = $client->GetDivisionTree(array('token' => $token, 'divisionId' => '1'));
$EmployeesForEmployer_result = $client->GetEmployeesForEmployer(array('sToken' => $token, 'sEmpl_Identifier' => '04190', 'iActiveStatus' => '0'));
$EmployerTypeList_result = $client->GetEmployerTypeList(array('sToken' => $token)); //working
$EmployersForClient_result = $client->GetEmployersForClient(array('token' => $token, 'clientCode' => '17411', 'includeAsContact' => true, 'includeAsEmployee' => true)); //get Empl_Identifier
$EnrolmentsForOccurrence_result = $client->GetEnrolmentsForOccurrence(array('sToken' => $token, 'iID' => '	38412')); //38604: occurunce id
$EventTypes_result = $client->GetEventTypes();
$LooseWebEmployer_result = $client->GetLooseWebEmployer(array('token' => $token, 'webEmployerId' => '320'));
$Organisations_result = $client->GetOrganisations(array('token' => $token)); //working single organization name getting
$Positions_result = $client->GetPositions(array('token' => $token)); 
$Locations_result = $client->GetLocations(array('sToken' => $token)); 
$ProgrammeTypeList_result = $client->GetProgrammes(array('sToken' => $token)); 
$ReferralSources_result = $client->GetReferralSources(array('token' => $token)); 
$ResultTypes_result = $client->GetResultTypes(array('sToken' => $token)); 
$VisaTypeList_result = $client->GetVisaTypeList(array('sToken' => $token)); 
$WaitlistProgrammeTypes_result = $client->GetWaitlistProgrammeTypes(array('token' => $token)); 
$ClientsForOccurrence_result = $client->GetWebClientsForOccurrence(array('sToken' => $token, 'iOccu_ID' => '	38412')); 
//$LocationsForProgramme_result = $client->GetWebLocationsForProgrammeAndDates(array('token' => $token, 'programmeId' => '', 'startDate' => '', 'endDate' => '' )); 
$WebProgrammes_result = $client->GetWebProgrammes(array('sToken' => $token)); 
$AdditionalData_result = $client->QueryAdditionalData(array('token' => $token, 'entityName' => 'Client'));  //entity is Client, Employer //working this is getting list of name we need

$ClientByCode_result = $client->GetClientByCode(array('sToken' => $token, 'sClie_Code' => '17411')); 
$ContractsForClient_result = $client->GetContractsForClient(array('sToken' => $token, 'sClie_Code' => '17411')); 
//$SearchForEmployer_result = $client->SearchForEmployer(array('token' => $token, 'searchString' => 'Stacey', 'searchOption' => '2'));
$EnrolledTasksForClient_result = $client->GetEnrolledTasksForClient(array('token' => $token, 'clientCode' => '17411', 'activeEnrolmentsOnly' => true));  
$StaffTypes_result = $client->GetStaffTypes(array('token' => $token));  
//$OccurrencesForStaff_result = $client->GetOccurrencesForStaff(array('token' => $token, 'staffClientCode'=>'13586','includeClasses'=>true,'includeOccurrence'=>true,'staffType'=>''));  
$TasksForClient_result = $client->GetTasksForClient(array('token' => $token, 'clientCode'=>'17411','activeEnrolmentsOnly'=>true));  



$gettask_result = $client->GetWebEnrolment(array('sToken' => $token, 'iWebe_ID' => '433')); // working 433: Web Enrolment ID
$gettask_result1 = $client->GetWebEnrolment(array('sToken' => $token, 'iWebe_ID' => '753')); // working 433: Web Enrolment ID
$EmployeesForEmployerEnrolment_result = $client->GetWebEmployeesForEmployerEnrolment(array('sToken' => $token, 'iWebe_ID' => '25')); // working 433: Web Enrolment ID

echo "<pre>";
print_r($EnrolmentsForClient_result);
print_r($ClientDetails_result);
print_r($ClientAVDetails_result);
print_r($AdditionalData_result);

echo "NewDataCheck";
echo "<br>";
print_r($gettask_result1);
echo "</pre>";exit;

// if($result->GetWebOccurrencesResult->Auth->Status != 1)
// {
//     // Failure - error message is in $result->GetWebOccurrencesResult->Auth->StatusMessage
//     die('Failure calling GetWebOccurrences: ' . $result->GetWebOccurrencesResult->Auth->StatusMessage);
// }

// foreach($result->GetWebOccurrencesResult->OccuList->TOccu as $occurrence)
// {
//     echo $occurrence->Prog_Name . ' 
//      from ' . $occurrence->StartDate . ' to ' . $occurrence->EndDate . "<br/>\n";
// }