<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
ini_set('max_execution_time', '0'); //300 seconds = 5 minutes
error_reporting(E_ALL);
ini_set('memory_limit', '-1');

require 'config.php';


try {
    
    $options = array(
         'soap_version'=>SOAP_1_2,
         'exceptions'=>true,
         'trace'=>1,
         'cache_wsdl'=>WSDL_CACHE_NONE
    );
    $client = new SoapClient('https://sthservices.ozsoft.com.au/AHT_API/vt_api.asmx?WSDL', $options);

    $loginInfo = array('sUsername' => $Username, 'sPassword' => $Password);

    //Token get
    $Token_result = $client->ValidateUser($loginInfo);
    if($Token_result->ValidateUserResult->Status != 1)
    {
        // Failure - error message is in $Token_result->ValidateUserResult->StatusMessage
        die('Failure calling ValidateUser: ' . $Token_result->ValidateUserResult->StatusMessage);
    }
    $token = $Token_result->ValidateUserResult->Token;

    //Client 
    $Client_result = $client->ValidateClient($loginInfo);
    if($Client_result->ValidateClientResult->Status != 1)
    {
        // Failure - error message is in $Client_result->ValidateClientResult->StatusMessage
        die('Failure calling ValidateUser: ' . $Client_result->ValidateClientResult->StatusMessage);
    }
    $client_token = $Client_result->ValidateClientResult->Token;


 
    //Getting list data
    // $filterinsideCriteria = array(
    //     'Field' => 'CreatedDate',
    //     'Operator' => 'GreaterThanOrEqualTo',
    //     'value' => '2022-03-10',
    // );
    // $filterinstantCriteria['FilterCriteria'] = $filterinsideCriteria;
    // $QueryAdditionalDataArray = array('token' => $token, 'entityName' => 'Client', 'filterCriteria' => $filterinstantCriteria );

    $QueryAdditionalDataArray = array('token' => $token, 'entityName' => 'Client', 'returnFields' => array('ReturnField' => array( array('Field' => 'ClientCode'), array('Field' => 'Surname'), array('Field' => 'GivenName'), array('Field' => 'Email'), array('Field' => 'PreferredName'), array('Field' => 'EmergencyPhone'), array('Field' => 'EmergencyMobile'), array('Field' => 'Citizenship'),  array('Field' => 'MarketingFlag'), array('Field' => 'DateCommenced'), array('Field' => 'DeltaNumber'), array('Field' => 'CreatedDate'), array('Field' => 'CreatedUser'), array('Field' => 'ModifiedDate'), array('Field' => 'ModifiedUser'), array('Field' => 'DateLastAssessed'), array('Field' => 'USIVerifyDate'),  )));

    $QueryAdditionalDataArray1 = array('token' => $token, 'entityName' => 'Client', 'filterCriteria' =>  array('FilterCriteria' => array(array('Field' => 'CreatedDate', 'Operator' => 'GreaterThanOrEqualTo', 'Value' => '2022-05-30' ), array('Field' => 'CreatedDate', 'Operator' => 'LessThanOrEqualTo', 'Value' => '2022-05-31' ) )), 'returnFields' => array('ReturnField' => array( array('Field' => 'ClientCode'), array('Field' => 'Surname'), array('Field' => 'GivenName'), array('Field' => 'Email'), array('Field' => 'PreferredName'), array('Field' => 'EmergencyPhone'), array('Field' => 'EmergencyMobile'), array('Field' => 'Citizenship'),  array('Field' => 'MarketingFlag'), array('Field' => 'DateCommenced'), array('Field' => 'DeltaNumber'), array('Field' => 'CreatedDate'), array('Field' => 'ModifiedDate'), )));

    if(isset($_GET['date'])){
        $current_date = $_GET['date'];
        $next_date = date('Y-m-d H:i:s', strtotime($current_date . ' +1 day'));
    } else {
        $current_date = '2022-05-30';
        $next_date = '2022-05-31 00:00:00';
    }
    //Enroll
    $QueryAdditionalDataArray2 = array('token' => $token, 'entityName' => 'Enrolment', 'filterCriteria' =>  array('FilterCriteria' => array(array('Field' => 'CreatedDate', 'Operator' => 'GreaterThanOrEqualTo', 'Value' => $current_date.' 00:00:00' ), array('Field' => 'CreatedDate', 'Operator' => 'LessThanOrEqualTo', 'Value' => $next_date ) )), 'returnFields' => array('ReturnField' => array( array('Field' => 'ClientCode'), array('Field' => 'WebEnrolId'), array('Field' => 'WebEnrolDate'), array('Field' => 'DateOfEffect'), array('Field' => 'ChangedFlag'), array('Field' => 'PaymentFlag'), array('Field' => 'ProgrammeCode'), array('Field' => 'EmployerId'), array('Field' => 'CreatedDate'), array('Field' => 'LocationName'), array('Field' => 'ProgrammeName'), )));


    if(isset($_GET['id'])){
        $Enrolmentid = $_GET['id'];
    } else {
        $Enrolmentid = '2054';
    }

    $QueryAdditionalDataArray2ForNewScript = array('token' => $token, 'entityName' => 'Enrolment', 'filterCriteria' =>  array('FilterCriteria' => array(array('Field' => 'WebEnrolId', 'Operator' => 'Equals', 'Value' => $Enrolmentid ) )), 'returnFields' => array('ReturnField' => array( array('Field' => 'Enrolmentid'), array('Field' => 'ClientCode'), array('Field' => 'WebEnrolId'), array('Field' => 'WebEnrolDate'), array('Field' => 'DateOfEffect'), array('Field' => 'ChangedFlag'), array('Field' => 'PaymentFlag'), array('Field' => 'ProgrammeCode'), array('Field' => 'EmployerId'), array('Field' => 'CreatedDate'), array('Field' => 'LocationName'), array('Field' => 'ProgrammeName'), array('Field' => 'Status'), array('Field' => 'StatusType'), array('Field' => 'TypeFlag'), array('Field' => 'CancelledFlag'), ))); //Enrolmentid
    // $QueryAdditionalDataArray3 = array('token' => $token, 'entityName' => 'Enrolment', 'filterCriteria' =>  array('FilterCriteria' => array(array('Field' => 'CreatedDate', 'Operator' => 'GreaterThanOrEqualTo', 'Value' => $current_date.' 00:00:00' ), array('Field' => 'CreatedDate', 'Operator' => 'LessThanOrEqualTo', 'Value' => $next_date ) )), 'returnFields' => array('ReturnField' => array( array('Field' => 'ClientCode'), array('Field' => 'WebEnrolId'), array('Field' => 'WebEnrolDate'), array('Field' => 'DateOfEffect'), array('Field' => 'ChangedFlag'), array('Field' => 'PaymentFlag'), array('Field' => 'ProgrammeCode'), array('Field' => 'EmployerId'), array('Field' => 'CreatedDate'), )));

    //$AdditionalData_result = $client->QueryAdditionalData($QueryAdditionalDataArray2ForNewScript);  //entity is Client, Employer Also use same for this:GetClientsForDivision

    $AdditionalData_result = $client->QueryAdditionalData($QueryAdditionalDataArray2ForNewScript);  //entity is Client, Employer Also use same for this:GetClientsForDivision

    $EnrolmentsForClient_result = $client->GetEnrolmentsForClient(array('sToken' => $token, 'sClie_Code' => '17900'));
    $ClientDetails_result = $client->GetClientDetails(array('sToken' => $token, 'sClie_Code' => '17900')); 
    $ClientAVDetails_result = $client->GetClientAVDetails(array('sToken' => $token, 'sClie_Code' => '17900'));
    // $AdditionalDataFieldsForEntity = $client->GetAdditionalDataForWebRecord(array('token' => $token, 'recordType'=> 0,'recordId'=>'40333'));
    $GetBookingDetails = $client->GetBookingDetails(array('token' => $token, 'occurrenceId'=>'41868'));

    $GetAccessibleClients = $client->GetClientExtendedDetails(array('sToken' => $token, 'sClie_Code'=>'14813', 'xsdStart'=>'2022-01-01T00:00:00','xsdEnd'=>'2022-01-01T00:00:00')); //get all details
    // //$GetAccessibleClients = $client->ProcessWebEnrolment(array('token' => $token, 'webEnrolId'=>'1071', 'updateMatches'=>false)); 
    $AdditionalData_result1 = $client->GetWebProgrammes(array('sToken' => $token));
    $AdditionalData_result2 = $client->GetTaskStatuses(array('token' => $token));
    // //$AdditionalData_result_new = $client->GetAdditionalDataFieldsForEntity(array('token' => $token, 'entityName' => 'Client'));
    // //$AdditionalData_result_new1 = $client->UpdateAdditionalDataForWebRecord(array('token' => $token, 'entityName' => 'Client'));
    // //$AdditionalData_result_new1 = $client->GetAdditionalDataFieldsForEntity(array('token' => $token, 'entityName' => 'ClientEvent'));
    $GetLMSNewOccurrences = $client->GetLMSNewOccurrences(array('sToken' => $token ));
    $GetLMSNewEnrolmentsForOccurrence = $client->GetLMSNewEnrolmentsForOccurrence(array('sToken' => $token, 'iID' => '41868' ));
    $GetWebProgrammeTypes = $client->GetWebProgrammeTypes(array('sToken' => $token ));
    $GetWebProgrammesForDates = $client->GetWebProgrammesForDates(array('sToken' => $token, 'xsdStart'=>'2022-01-01T00:00:00','xsdEnd'=>'2022-01-01T00:00:00' ));
    if(isset($_GET['id'])){
        $iWebe_ID = $_GET['id'];
    } else {
        $iWebe_ID = '2054'; //4150
    }
    $GetAccessibleClients1 = $client->GetWebEnrolment(array('sToken' => $token, 'iWebe_ID' => $iWebe_ID));
    
    $GetWebClientsForOccurrence  = $client->GetWebClientsForOccurrence (array('sToken' => $token, 'iOccu_ID' => '42534' ));

    echo "<pre>";
    // print_r($EnrolmentsForClient_result);
    // print_r($ClientDetails_result);
    // print_r($ClientAVDetails_result);
    // print_r($GetAccessibleClients);
    print_r($GetAccessibleClients1);
    //print_r($GetWebClientsForOccurrence);
    // print_r($GetBookingDetails);
    //echo 'Using WebEnroID Below Data:';
    //echo '<br>';
    //print_r($AdditionalData_result);
    echo "</pre>";exit;
    
    $CollectHubspotEntryUpdate = array();
    $CollectHubspotEntryCreate = array();
    $num=0;
    foreach($AdditionalData_result->QueryAdditionalDataResult->Values->ArrayOfString as $AdditionalData)
    {

       //if($num < 2){

            //$ClientDummyCode = array('17689', '11835'); //change remove

            $ClientCode = $AdditionalData->string[0]; //yes
            $FamilyName = $AdditionalData->string[1];
            $GivenName = $AdditionalData->string[2];

            if(!empty($ClientCode)){

                $GetAllClientDetails = $client->GetClientExtendedDetails(array('sToken' => $token, 'sClie_Code'=> $ClientCode, 'xsdStart'=>'2022-01-01T00:00:00','xsdEnd'=>'2022-01-01T00:00:00')); //get all details //change

                //EnrolledUnits //unit number but not match with 15406
                // if(isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->EnrolledUnits->TEnun)){
                //     if(is_array($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->EnrolledUnits->TEnun)){
                //         $EnrolledUnits = $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->EnrolledUnits->TEnun;
                //         $Unit_Number = $EnrolledUnits[0]->Unit_Code;
                //     } else {
                //         $EnrolledUnits = $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->EnrolledUnits->TEnun;
                //         $Unit_Number = $EnrolledUnits->Unit_Code;
                //     }
                // }

                // echo "<pre>";
                // print_r($GetAllClientDetails);
                // echo "</pre>";exit;

                //Enrolments Details
                if(isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->Enrolments->TClieEnro)){
                    if(is_array($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->Enrolments->TClieEnro)){
                        $ProgrammeDetails = end($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->Enrolments->TClieEnro);
                        $Occurrence_StartDate = isset($ProgrammeDetails->StartDate) ? $ProgrammeDetails->StartDate : ''; 
                        $Occurrence_EndDate = isset($ProgrammeDetails->EndDate) ? $ProgrammeDetails->EndDate : '';
                        $Registration_Date = isset($ProgrammeDetails->DateOfEffect) ? $ProgrammeDetails->DateOfEffect : '';
                        $Qualification_Code = isset($ProgrammeDetails->Qual_Code) ? $ProgrammeDetails->Qual_Code : '';
                        $Qualification_Name = isset($ProgrammeDetails->Qual_Name) ? $ProgrammeDetails->Qual_Name : '';
                        //$Programme_Name = $Qualification_Code.' '.$Qualification_Name; //yes
                        $Description = isset($ProgrammeDetails->Description) ? $ProgrammeDetails->Description : ''; //yes enrolid get
                        $Loca_Code = isset($ProgrammeDetails->Loca_Code) ? $ProgrammeDetails->Loca_Code : '';
                        $EmployerIdentifier = isset($ProgrammeDetails->EmployerIdentifier) ? $ProgrammeDetails->EmployerIdentifier : ''; //yes
                        $EmployerName = isset($ProgrammeDetails->EmployerName) ? $ProgrammeDetails->EmployerName : ''; //yes
                        $Amount = isset($ProgrammeDetails->Amount) ? $ProgrammeDetails->Amount : '';
                        $GST = isset($ProgrammeDetails->GST) ? $ProgrammeDetails->GST : '';
                        preg_match_all('!\d+!', $Description, $WebEnrolID);
                        $WebEnrolIDFinal = isset($WebEnrolID[0][0]) ? $WebEnrolID[0][0] : '';

                    } else {
                        $ProgrammeDetails = $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->Enrolments->TClieEnro;

                        $Occurrence_StartDate = isset($ProgrammeDetails->StartDate) ? $ProgrammeDetails->StartDate : ''; 
                        $Occurrence_EndDate = isset($ProgrammeDetails->EndDate) ? $ProgrammeDetails->EndDate : '';
                        $Registration_Date = isset($ProgrammeDetails->DateOfEffect) ? $ProgrammeDetails->DateOfEffect : '';
                        $Qualification_Code = isset($ProgrammeDetails->Qual_Code) ? $ProgrammeDetails->Qual_Code : '';
                        $Qualification_Name = isset($ProgrammeDetails->Qual_Name) ? $ProgrammeDetails->Qual_Name : '';
                        //$Programme_Name = $Qualification_Code.' '.$Qualification_Name; //yes
                        $Description = isset($ProgrammeDetails->Description) ? $ProgrammeDetails->Description : ''; //yes enrolid get
                        $Loca_Code = isset($ProgrammeDetails->Loca_Code) ? $ProgrammeDetails->Loca_Code : '';
                        $EmployerIdentifier = isset($ProgrammeDetails->EmployerIdentifier) ? $ProgrammeDetails->EmployerIdentifier : ''; //yes
                        $EmployerName = isset($ProgrammeDetails->EmployerName) ? $ProgrammeDetails->EmployerName : ''; //yes
                        $Amount = isset($ProgrammeDetails->Amount) ? $ProgrammeDetails->Amount : '';
                        $GST = isset($ProgrammeDetails->GST) ? $ProgrammeDetails->GST : '';
                        preg_match_all('!\d+!', $Description, $WebEnrolID);
                        $WebEnrolIDFinal = isset($WebEnrolID[0][0]) ? $WebEnrolID[0][0] : '';
                    }

                }

                //Client Details

                $Clie_Surname = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_Surname) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_Surname : ''; //yes
                $Clie_Given = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_Given) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_Given : ''; //yes
                $Clie_Code = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_Code) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_Code : '';
                $Clie_Username = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_Username) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_Username : '';
                $Clie_DOB = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_DOB) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_DOB : ''; //yes
                $Clie_DOB_Convert = date("Y-m-d", strtotime(trim($Clie_DOB)));
                //UsualAddress/Residential Address Details
                $Building = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->Building) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->Building : ''; //yes
                $UnitDetails = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->UnitDetails) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->UnitDetails : ''; //yes
                $StreetNumber = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->StreetNumber) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->StreetNumber : ''; //yes
                $StreetName = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->StreetName) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->StreetName : ''; //yes
                $City = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->City) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->City : ''; //yes
                $State = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->State) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->State : ''; //yes
                $Postcode = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->Postcode) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->UsualAddress->Postcode : ''; //yes

                //Postal Address Details
                $Postal_Building = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->Building) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->Building : ''; //yes
                $Postal_UnitDetails = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->UnitDetails) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->UnitDetails : ''; //yes
                $Postal_StreetNumber = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->StreetNumber) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->StreetNumber : ''; //yes
                $Postal_StreetName = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->StreetName) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->StreetName : ''; //yes
                $Postal_City = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->City) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->City : ''; //yes
                $Postal_State = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->State) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->State : ''; //yes
                $Postal_Postcode = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->Postcode) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PostalAddress->Postcode : ''; //yes

                //Email
                $Clie_Email = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_Email) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_Email : ''; //yes
                //Phone Details
                $Clie_HomePhone = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_HomePhone) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_HomePhone : ''; //yes
                $Clie_WorkPhone = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_WorkPhone) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_WorkPhone : '';
                $Clie_MobilePhone = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_MobilePhone) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_MobilePhone : ''; //yes
                //Emergency Contact Details
                $Clie_EmergencyName = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_EmergencyName) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_EmergencyName : '';
                $Clie_EmergencyPhone = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_EmergencyPhone) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_EmergencyPhone : '';
                //Client Details
                $Clie_Title = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_Title) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Clie_Title : '';
                $Gender = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Gender) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->Gender : ''; //yes
                //Employment Details
                $PositionName = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PositionName) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->PositionName : '';
                //USI Details
                $USI_Number = isset($GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->USI) ? $GetAllClientDetails->GetClientExtendedDetailsResult->ClieExtended->ClientDetail->USI : ''; //yes

                // echo "<pre>";
                // echo $EmployerName."<br>";
                // echo "xxxxxxxx<br>";
                // echo $WebEnrolIDFinal."<br>";
                // echo "</pre>";exit;

                if(!empty(trim($Clie_Email))){

                    if($Gender == 'F'){
                        $GenderFinal = 'Female';
                    }else{
                        $GenderFinal = 'Male';
                    }
                    /*List Of Property*/
                    $Properties_Main_Array = new \stdClass();
                    $Properties_Sub = new \stdClass();
                    $Properties_Sub->vettrak_client_id = $ClientCode; //change
                    $Properties_Sub->lastname = $Clie_Surname;
                    $Properties_Sub->firstname = $Clie_Given;
                    $Properties_Sub->gender = $GenderFinal;
                    $Properties_Sub->date_of_birth = isset($Clie_DOB_Convert) ? $Clie_DOB_Convert : '';
                    $Properties_Sub->usi = $USI_Number;
                    $Properties_Sub->unit_number = $UnitDetails;
                    $Properties_Sub->building_name = $Building;
                    $Properties_Sub->street_number = $StreetNumber;
                    $Properties_Sub->address = $StreetName;
                    $Properties_Sub->city = $City;
                    $Properties_Sub->unit_number__postal_ = $Postal_UnitDetails;
                    $Properties_Sub->building_name__postal_ = $Postal_Building;
                    $Properties_Sub->street_number__postal_ = $Postal_StreetNumber;
                    $Properties_Sub->street_address__postal_ = $Postal_StreetName;
                    $Properties_Sub->suburb__postal_ = $Postal_City;
                    $Properties_Sub->post_code__postal_ = $Postal_Postcode;
                    $Properties_Sub->phone = $Clie_HomePhone;
                    $Properties_Sub->mobilephone = $Clie_MobilePhone;
                    $Properties_Sub->emergency_contact_name = $Clie_EmergencyName;
                    $Properties_Sub->emergency_contact_number = $Clie_EmergencyPhone;
                    $Properties_Sub->employer_name = isset($EmployerName) ? $EmployerName : '';
                    $Properties_Sub->enrolment_id = isset($WebEnrolIDFinal) ? $WebEnrolIDFinal : '';
                    $Properties_Sub->vettrak_number = $ClientCode; //change
                    //$Properties_Sub->course = $Programme_Name;
                    //$Clie_Email_Dummy = 'example'.$num.'@gmail.com'; //change
                    $Properties_Sub->email = $Clie_Email; //change
                    /*List Of Property*/

                    $FindEmailAlreadyExist = Search_Data_By_EmailID($hapi_key, $Clie_Email); //change

                    if(isset($FindEmailAlreadyExist->results[0]->id)){
                        if(is_array($FindEmailAlreadyExist->results) && sizeof($FindEmailAlreadyExist->results) >= 1){
                            //Update Data
                            $Properties_Main_Array->id = $FindEmailAlreadyExist->results[0]->id;
                            $Properties_Main_Array->properties = $Properties_Sub;
                            array_push($CollectHubspotEntryUpdate, $Properties_Main_Array);

                        }
                    } else {
                        //Create Data
                        $Properties_Main_Array->properties = $Properties_Sub;
                        array_push($CollectHubspotEntryCreate, $Properties_Main_Array);
                    }

                }
            }
        //}
    $num++;
    }

    echo "<pre>";
    print_r($CollectHubspotEntryUpdate);
    echo "Create below:";
    print_r($CollectHubspotEntryCreate);
    echo "</pre>";exit;
    
    //Create Hubspot data
    if(sizeof($CollectHubspotEntryCreate) >= 1){
        $Divided_CollectHubspotEntryCreate = count($CollectHubspotEntryCreate) / 10;
        $Divided_CollectHubspotEntryCreate_Final = array_chunk($CollectHubspotEntryCreate, ceil(count($CollectHubspotEntryCreate) / $Divided_CollectHubspotEntryCreate));
        foreach ($Divided_CollectHubspotEntryCreate_Final as $Divided_CollectHubspotEntryCreate_Final_Key => $Divided_CollectHubspotEntryCreate_Final_Value) {
            // $Divided_National_Array_Final_Value_Reverse = array_reverse($Divided_National_Array_Final_Value);
            // $Divided_National_Array_Final_Value_Final_Unique = array_unique($Divided_National_Array_Final_Value_Reverse, SORT_REGULAR);
            //$Divided_National_Array_Final_Value_Final_Unique = NationalContactUniqeArray($Divided_National_Array_Final_Value);
            $CollectHubspotEntryCreate_Main_Object_Create = new \stdClass();
            $CollectHubspotEntryCreate_Main_Object_Create->inputs = $Divided_CollectHubspotEntryCreate_Final_Value;
            $Final_CollectHubspotEntryCreate_Object = json_encode($CollectHubspotEntryCreate_Main_Object_Create);
            $ContactCreateRes = json_decode(Create_Batch_Hubspot_Contact_Data($hapi_key, $Final_CollectHubspotEntryCreate_Object));
            if($ContactCreateRes->status == 'COMPLETE'){
                echo "Contact Create Status: ".$ContactCreateRes->status;
            } else {
                echo json_encode($ContactCreateRes);
            }
            echo "<br>";
       }
    }


    //Update Contact Data
    if(sizeof($CollectHubspotEntryUpdate) >= 1){
        $CollectHubspotEntryUpdate_Array = count($CollectHubspotEntryUpdate) / 10;
        $CollectHubspotEntryUpdate_Array_Final = array_chunk($CollectHubspotEntryUpdate, ceil(count($CollectHubspotEntryUpdate) / $CollectHubspotEntryUpdate_Array));
        foreach ($CollectHubspotEntryUpdate_Array_Final as $CollectHubspotEntryUpdate_Final_Key => $CollectHubspotEntryUpdate_Final_Value) {

            $CollectHubspotEntryUpdate_Main_Object_Update = new \stdClass();
            $CollectHubspotEntryUpdate_Main_Object_Update->inputs = $CollectHubspotEntryUpdate_Final_Value;
            $Final_CollectHubspotEntryUpdate_Object = json_encode($CollectHubspotEntryUpdate_Main_Object_Update);
            $ContactUpdateRes = json_decode(Update_Batch_Hubspot_Contact_Data($hapi_key, $Final_CollectHubspotEntryUpdate_Object));
            if($ContactUpdateRes->status == 'COMPLETE'){
                echo "Contact Update Status: ".$ContactUpdateRes->status;
            } else {
                echo json_encode($ContactUpdateRes);
            }
            echo "<br>";
        }
    }

    // $HubsporResponse = InsertDataIntoHubspot($CollectHubspotEntryEncode);

    // echo "<pre>";
    // print_r($HubsporResponse);
    // echo "</pre>";
    exit;
    

} catch (Exception $e) {
    //print "something went wrong, caught yah! n";
    echo 'Message: ' .$e->getMessage();
}


//Create Contact Data Using Batch
function Create_Batch_Hubspot_Contact_Data($hapi_key, $json_data){
    $curl = curl_init();
    curl_setopt_array($curl, array(
      CURLOPT_URL => "https://api.hubapi.com/crm/v3/objects/contacts/batch/create?hapikey=$hapi_key",
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_ENCODING => "",
      CURLOPT_MAXREDIRS => 10,
      CURLOPT_TIMEOUT => 30,
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      CURLOPT_CUSTOMREQUEST => "POST",
      CURLOPT_POSTFIELDS => $json_data,
      CURLOPT_HTTPHEADER => array(
        "content-type: application/json",
      ),
    ));

    $response = curl_exec($curl);
    $err = curl_error($curl);

    curl_close($curl);

    if ($err) {
      echo "cURL Error #:" . $err;
    } else {
      return $response;
    }
}


//Update Contact Data Using Batch
function Update_Batch_Hubspot_Contact_Data($hapi_key, $json_data){
    $curl = curl_init();
    curl_setopt_array($curl, array(
      CURLOPT_URL => "https://api.hubapi.com/crm/v3/objects/contacts/batch/update?hapikey=$hapi_key",
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_ENCODING => "",
      CURLOPT_MAXREDIRS => 10,
      CURLOPT_TIMEOUT => 30,
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      CURLOPT_CUSTOMREQUEST => "POST",
      CURLOPT_POSTFIELDS => $json_data,
      CURLOPT_HTTPHEADER => array(
        "content-type: application/json",
      ),
    ));
    $response = curl_exec($curl);
    $err = curl_error($curl);
    curl_close($curl);

    if ($err) {
      echo "cURL Error #:" . $err;
    } else {
      return $response;
    }
}

//Find Data existing in hubspot
function Search_Data_By_EmailID($hapi_key, $emailid){

    $FilterGroups_Array = array();
    $Filters_Sub_Array = array();
    $Properties_Array = array('firstname', 'lastname', 'email');
    $Filter_Sub = new \stdClass();
    $Filter_Sub->value = $emailid;
    $Filter_Sub->propertyName = "email";
    $Filter_Sub->operator = "EQ";
    array_push($Filters_Sub_Array, $Filter_Sub);
    $FilterGroups_Sub_Obj = new \stdClass();
    $FilterGroups_Sub_Obj->filters = $Filters_Sub_Array;
    array_push($FilterGroups_Array, $FilterGroups_Sub_Obj);
    $FilterGroups_Main_obj = new \stdClass();
    $FilterGroups_Main_obj->filterGroups = $FilterGroups_Array;
    $FilterGroups_Main_obj->properties = $Properties_Array;

    $curl = curl_init();
    curl_setopt_array($curl, array(
      CURLOPT_URL => "https://api.hubapi.com/crm/v3/objects/contacts/search?hapikey=$hapi_key",
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_ENCODING => "",
      CURLOPT_MAXREDIRS => 10,
      CURLOPT_TIMEOUT => 30,
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      CURLOPT_CUSTOMREQUEST => "POST",
      CURLOPT_POSTFIELDS => json_encode($FilterGroups_Main_obj),
      CURLOPT_HTTPHEADER => array(
        "content-type: application/json",
      ),
    ));
    $response = curl_exec($curl);
    $err = curl_error($curl);
    curl_close($curl);

    if ($err) {
      echo "cURL Error #:" . $err;
    } else {
      return json_decode($response);
    }
}